Loading...
Searching...
No Matches
stdIteratorWrapper.h File Reference

Go to the source code of this file.

## Macros

#define | IteratorWrapper(type)
#define | ConstIteratorWrapper(type)
#define | BALL_DECLARE_STD_ITERATOR_WRAPPER(container, type, method_name)

## Macro Definition Documentation

## BALL_DECLARE_STD_ITERATOR_WRAPPER

#define BALL_DECLARE_STD_ITERATOR_WRAPPER | ( |  | container,
|  |  | type,
|  |  | method_name )

Value:
type##IteratorWrapper< container > method_name () {\
return type##IteratorWrapper< container >(this);\
}\
type##ConstIteratorWrapper< container > method_name () const {\
return type##ConstIteratorWrapper< container >(this);\
}
ConstIteratorWrapper
#define ConstIteratorWrapper(type)
Definition stdIteratorWrapper.h:17
IteratorWrapper
#define IteratorWrapper(type)
Definition stdIteratorWrapper.h:4

Definition at line 30 of file stdIteratorWrapper.h.

## ConstIteratorWrapper

#define ConstIteratorWrapper | ( |  | type | ) |

Value:
template<typename T>\
class type##ConstIteratorWrapper\
{\
public:\
type##ConstIteratorWrapper(const T* c) : container_(c) {}\
type##ConstIterator begin() { return container_->begin##type(); }\
type##ConstIterator end() { return container_->end##type(); }\
\
private:\
const T* container_;\
};

Definition at line 17 of file stdIteratorWrapper.h.

## IteratorWrapper

#define IteratorWrapper | ( |  | type | ) |

Value:
template<typename T>\
class type##IteratorWrapper\
{\
public:\
type##IteratorWrapper(T* c) : container_(c) {}\
type##Iterator begin() { return container_->begin##type(); }\
type##Iterator end() { return container_->end##type(); }\
\
private:\
T* container_;\
};

Definition at line 4 of file stdIteratorWrapper.h.